System.ServiceModel 4.0.0.0 System.ServiceModel.Dispatcher.InvalidBodyAccessException

This exception is thrown when a filter or filter table attempts to access the body of an instance of .

The exception that is thrown when a filter or filter table attempts to access the body of an unbuffered message.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with a specified error message.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with data that specifies the source and destination of the stream and the information required to serialize the exception.

  The that contains all the data required to serialize the exception.
  The that specifies the source and destination of the stream.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the with a specified error message and the filters that attempted to inspect the body of the message.

  The that attempted to inspect the body of the message.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class with a specified error message and the inner exception that caused the current exception.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class with a specified error message, the inner exception that caused the current exception, and the collection that contains the filter that attempted to inspect the body.

  The of type that contains the filter that attempted to inspect the body of the message.
- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Dispatcher.MessageFilter> To be added.

  In the case of a filter table, this collection does not necessarily contain all offending filters. It only contains the filter(s) that caused the violation. It is quite possible there are other filters that would have committed a similar violation had processing not been aborted.

  Gets the collection of filters that contains the filter that caused the exception to be thrown.